import random
from math import cos, sin, atan, pi, hypot, acos, degrees, radians
from vector import Vector

class Grid(object):
    def __init__(self, dimensions, grid=None):
        w,h = dimensions
        if grid != None:
            self.grid = grid
        else:
            self.grid = [[[] for i in range(h)] for v in range(w)]
        self.dimensions = dimensions

    def __iter__(self):
        for y in xrange(self.dimensions[1]):
            for x in xrange(self.dimensions[0]):
                yield x,y
            

    def region(self, position,width=3,height=3):
        x,y = position
        start,stop = x-width,x+width+1
        columns = self.grid[int(start):int(stop)]
        start,stop = y-height,y+height+1
        columns = [i[int(start):int(stop)] for i in columns]
        dimensions = len(columns), len(columns[0])
        return Grid(dimensions, grid=columns)

    def get(self, index):
        return self.grid[int(index[0])][int(index[1])]

def show(grid):
    for y in xrange(len(grid[0])):
        for x in xrange(len(grid)):
            print grid[x][y],
        print




