import SiGL
import SiGL.gui
import eventnet.driver
import Image, ImageFont, ImageDraw

import scene_loader
import sys

import pygame.mixer

def main():
    app = SiGL.gui.Application((800,600))

    filename = "xml/congrats.xml"
    try:
        filename = 'xml/' + sys.argv[1]
    except IndexError:
        pass
    scene = scene_loader.load(filename)
    frame = SiGL.gui.Frame()
    frame.add(scene.graph)
    app.activate_frame(frame)
    
    @eventnet.driver.handle('KeyDown')
    def kd(event):
        raise SystemExit
    
    
    scene.play()
    app.loop()

if __name__ == "__main__": main()





