
from distutils.core import setup

setup(
    name='EventNet',
    version='9',
    description='An event engine for creating event driven programs which work on a local machine, and over a network.',
    author='Simon Wittber',
    author_email='simonwittber@gmail.com',
    url="http://developer.berlios.de/projects/lgt/",
    platforms=["any"],
    packages=['eventnet'],
    data_files = [
        ('doc/eventnet', ['examples/client.py','examples/server.py'])
    ],
    long_description= """
EventNet is a simple module which assists the creation of event driven software.
Events can be tranparently posted and received over a tcp connection, using a two-way client server model.
"""

)


